Subject: Re: tar, scp hang after upgrades
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Susan Kleinmann <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Sun, 09 Jun 2002 19:06:13 -0400

At 09:19 AM 6/8/2002, Susan Kleinmann wrote:
>More tests (which I think show that the problem is really associated with
>the recent Windows ME upgrade):
>
>I tried the same steps on a machine running Windows 98SE.
>1.  Upgrade both Windows 98 and cygwin to latest versions.
>2.  Use scp to fetch a tar file from another machine.
>3.  Try to untar.
>Worked fine.  (Note:  This machine has an oldish (4.0) version of NAV, 
>which doesn't work in auto-mode; i.e., it scans for viruses only when/if 
>specifically invoked to do so.)  
>
>Then I retried steps 2-3 above on the machine running WindowsME, which,
>as I said earlier, was updated a few days ago.  The results were:
>1.  With NAV enabled, scp succeeded, but tar continued
>    to hang as before.  (scp had hung the last 2 dozen or so times I tried it,
>    but see below: the behaviour is not always exactly repeatable.)
>2.  With NAV disabled, scp succeeded, and tar completed, but reported
>    several "Wrote only 0 out of 10240 bytes" errors, and did not extract
>    most of the files in the tar file (even though it was easily able
>    to 'see' them all using 'tar -tf filename').
>    
>So, with NAV turned off, I ran the command:
>strace tar -xf foo.tar > tar.errors 2>&1
>
>This produced the following errors just prior to the "Wrote only..."
>message:
>
>2021282 2597075 [main] tar 1735255 seterrno_from_win_error: /cygnus/netrel/src/cygwin-1.3.10-1/winsup/cygwin/fhandler.cc:279 errno 29
> 1105 2598180 [main] tar 1735255 geterrno_from_win_error: unknown windows error 29, setting errno to 13
>  435 2598615 [main] tar 1735255 fhandler_base::write: -1 = write (0x4591E68, 698)
>  250 2598865 [main] tar 1735255 _write: -1 = write (4, 0x4591E68, 698)
>  432 2599297 [main] tar 1735255 _write: write (2, 0x255F39C, 5)
>  338 2599635 [main] tar 1735255 fhandler_base::write: binary write
>tar:   265 2599900 [main] tar 1735255 fhandler_base::write: 5 = write (0x255F39C, 5)
>  240 2600140 [main] tar 1735255 _write: 5 = write (2, 0x255F39C, 5)
>  272 2600412 [main] tar 1735255 _write: write (2, 0x255F3CC, 40)
>  255 2600667 [main] tar 1735255 fhandler_base::write: binary write
>week2/aux.c: Wrote only 0 of 10240 bytes  265 2600932 [main] tar 1735255 

       ^^^^^
See: What about DOS special filenames?
http://cygwin.com/faq/faq_4.html#SEC59

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/